Skip to main content
`Ctrl`+`K`

# DMPlexMetricSetTargetComplexity

Set the target metric complexity

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricSetTargetComplexity(DM dm, PetscReal targetComplexity)

## Input Parameters

- dm - The `DM`

- targetComplexity - The target metric complexity

## See Also

`DMPLEX`, `DMPlexMetricGetTargetComplexity()`, `DMPlexMetricSetNormalizationOrder()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages